Skip to main content

System requirements

This page lists the requirements that your hardware and internet connection need to fulfil if you wish to use plentymarkets.

1. Required hardware, operating systems and browsers

The requirements listed in Table 1 allow you to work efficiently with plentymarkets. The system’s performance may be limited if you do not meet the specified values. You may have permanent performance problems if you are using old hardware or a PC that has been poorly maintained.

Access via browser

plentymarkets functions best with the Google Chrome browser. However, you can also access plentymarkets using Mozilla Firefox or Safari (Mac OS). This limitation only applies to the admin area. Your online store can be accessed with all of the typical internet browsers.

Table 1. Requirements
Requirement

Processor

2 x 2 GHz
If you are working with a Windows operating system, you need at least an Intel Core 2 processor.

Memory

8 GB

Resolution

1920 x 1080

Internet connection

Permanent connection
Note: The transfer rate should match the number of users.

Operating system

  • 64 bit

  • Windows 7 or higher

  • Mac OS X 10.10 or higher

  • Linux

The performance may be limited if you are using other operating systems, server operating systems or virtual machines.

Browser

Note: These browser requirements do not apply to your customers. Your customers can use a W3C compliant web browser of their choice in order to purchase items in your online store.

2. Troubleshooting

The following points may cause problems if you are working with plentymarkets.

  • Your browser is not up-to-date. Check your browser’s version. If a newer version is available, update your browser.

  • Your CPU is busy. If your CPU is already running at full capacity due to normal operating procedures, then you should close programmes that you do not need at the time.

  • Your memory is too small. Check the size of your memory. We recommend a minimum capacity of 8 GB.

  • Your Java version is not up-to-date. Check the Java version installed on your computer and check if a later version exists. Install the current version.

  • Your hard drive is more than 70% full and has not been changed in years. Depending on the operating system and the quality of the hardware, you will notice a significant decrease in performance after two years. Delete any unnecessary files or reinstall the system. Another cost-effective solution would be to purchase a newer and more powerful hard drive/SSD.

3. Using the plentymarkets app

The plentymarkets app allows you to access key values and search customer, item and order data. You need a mobile Android or iOS device for these functions. In addition, the plentymarkets app allows you to perform stock management tasks and to use the point of sale system plentyPOS. The next sections provide information on the hardware you need in order to use these functions.

The free plentymarkets app is available on Google Play and iTunes. Install the app on every mobile device that you want to use.

3.1. Managing business data with the plentymarkets app

If you only want to use the plentymarkets app to manage business data, i.e. if you don’t want to operate a POS system or manage stock, then you only need a mobile Android or iOS device. Table 2 lists the hardware requirements for the plentymarkets app, assuming you only want to access key figures and other business data.

Table 2. Managing business data with the plentymarkets app
Device type Requirements

Android devices

OS version 4.2.2 or higher

iOS devices

Version 8 or higher

3.2. Managing stock with the plentymarkets app

If you want to use the plentymarkets app for managing the stock of your warehouse, we recommend the hardware listed in Table 3.

Table 3. Managing stock with the plentymarkets app
Hardware Where to buy in Germany

M3 SM10 Mobile Computer
(Android 5.1)

www.sundsits.de/M3SM10-Mobile-Computer-WiFi-und-LTE 

SundS ITS
Beselerstr. 2-6
50354 Hürth, Germany
info@sundsits.de
Phone: +49(0)2233-7064010
Fax: +49(0)2233-7064011
www.sundsits.de 

Honeywell Dolphin 75e
(Android 4.4.4)

www.globos.de/produkte/honeywell-dolphin-75e-mobilecomputer 

GLOBOS Logistik- und Informationssysteme GmbH
Ahrensburger Straße 1
30659 Hannover, Germany
vertrieb@globos.de
Phone: +49 (511) 76920-0
Fax: +49 (511) 76920-250
www.globos.de 

4. Using plentyPOS

The point of sale system plentyPOS is an optional component of the plentymarkets app. However, please note that there are additional hardware requirements for using plentyPOS. Table 4 shows the hardware that plentyPOS supports. The table also shows the devices on which plentymarkets tests new releases before publication.

Table 4. Supported hardware for plentyPOS
Device type General requirements Tested devices

Operating systems

  • Android devices with OS version 4.2.2 and higher, ARM processor and device classes Small, Normal, Large and X-Large. You can find out the DPI of a mobile device e.g. here .

  • iOS devices (iPad, iPhone, iPod) with OS version 8 and higher
    → There are some limitations regarding the use of Bluetooth scanners on iOS devices.
    → If you want to use the plentymarkets mobile POS system in Austria, then you can only operate it on Android devices.

For every regular release

  • Elo Touch Solutions I-Series 15I1 - E021201

  • Advantech UPOS-211 sundsits edition

  • Honeywell Dolphin 75e (Android 4.4.4)

  • M3 SM10 (Android 5.1)

  • Samsung Galaxy Tab A 6 - SM-T580

  • Apple iPad Air 2

Regularly

  • Samsung Galaxy Tab A - SM-T555

  • Samsung Galaxy Tab 4 - SM-T530

  • Apple iPad Mini Retina

Selectively

  • Samsung Galaxy S4

  • Apple iPhone 6

  • Apple iPad Mini

Receipt printer

  • ePos-Print API

  • Printers with LAN or WLAN only

  • EPSON TM-M30

  • EPSON TM-T88V-i (QR code printing)

Scanner

  • Scanners with USB or Bluetooth only

  • Inateck BCST-10 (Bluetooth)

  • Albasca USB hand scanner MK-1000 (untested but used by several customers)

Customer displays

  • In combination with receipt printer EPSON TM-M30 only

  • EPSON DM-D30

Card terminals

  • Requires a payment provider contract

  • Ingenico iPP480 with printer (operating mode ZVT, connection type TCP/IP) - requires the Ingenico ZVT plugin 

  • Verifone H5000 with printer (operating mode ZVT, connection type TCP/IP) - requires the Verifone ZVT plugin 

  • CCV VX 680 with printer (operating mode ZVT, connection type TCP/IP) - requires the Verifone ZVT plugin 

  • SumUp Air - requires the SumUp plugin 
    Note: You need to activate access to location (geolocation positioning) on the mobile device on which the plentymarkets app is installed to use the SumUp Air with plentyPOS.

If you have any questions or want to report an issue, you can use the forum .

To top